// gph_fig11_1.do   The anatomy of a graph

sysuse auto.dta
set scheme lean1

* see section 11.2 for explanation of command listed below
*

twoway                                                           /// G
  (scatter mpg weight if foreign==0)                             /// P
  (scatter mpg weight if foreign==1)                             /// P
  ,                                                              ///
  title("Title: Figure 11.1")                                    /// G
  subtitle("Subtitle: The anatomy of a graph")                   /// G
  ytitle("y-axis title") xtitle("x-axis title")                  /// G
  legend(title("Legend", size(*0.8))                             /// G
    order(1 "first plot" 2 "second plot"))                       /// G
  note("Note: xsize() and ysize() define the entire graph size") /// G
  caption("Caption: Figure 11.1: Anatomy of a graph")            /// G
  text(35 3400 "Plot area", size(*1.5))                          /// G
  graphregion(lpattern(dash) lcolor(black) lwidth(*0.5))         /// G
  xsize(4.4) ysize(3.3)
